Loading...
Searching...
No Matches
bssmap_le_pdu Struct Reference
3GPP TS 49.031 BSSMAP-LE.

`#include <gsm_49_031.h>`

## Data Fields

enum bssmap_le_msgt | msg_type
union { |
enum gsm0808_cause reset |
struct bssmap_le_perform_loc_req perform_loc_req |
struct bssmap_le_perform_loc_resp perform_loc_resp |
struct lcs_cause_ie perform_loc_abort |
struct bssmap_le_conn_oriented_info conn_oriented_info |
}; |  |

## Field Documentation

## [union]

union { ... } bssmap_le_pdu

## conn_oriented_info

struct bssmap_le_conn_oriented_info bssmap_le_pdu::conn_oriented_info

Referenced by osmo_bssap_le_pdu_to_str_buf(), osmo_bssmap_le_dec(), and osmo_bssmap_le_enc().

## msg_type

enum bssmap_le_msgt bssmap_le_pdu::msg_type

Referenced by osmo_bssap_le_enc(), osmo_bssap_le_pdu_to_str_buf(), osmo_bssmap_le_dec(), and osmo_bssmap_le_enc().

## perform_loc_abort

struct lcs_cause_ie bssmap_le_pdu::perform_loc_abort

Referenced by osmo_bssmap_le_dec(), and osmo_bssmap_le_enc().

## perform_loc_req

struct bssmap_le_perform_loc_req bssmap_le_pdu::perform_loc_req

Referenced by osmo_bssap_le_pdu_to_str_buf(), osmo_bssmap_le_dec(), and osmo_bssmap_le_enc().

## perform_loc_resp

struct bssmap_le_perform_loc_resp bssmap_le_pdu::perform_loc_resp

Referenced by osmo_bssmap_le_dec(), and osmo_bssmap_le_enc().

## reset

enum gsm0808_cause bssmap_le_pdu::reset

Referenced by osmo_bssmap_le_dec(), and osmo_bssmap_le_enc().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_49_031.h